/*
  @description:招标公告时-公用方法
  @Modifier:肖文龙
  @routerPath:
  @date:2020-5-25 17:49
*/
const tenderBulletinMixin = {
  data() {
    return {
      flowStatus: this.$route.meta.flowStatus, // true 工作流进入驳回编辑
      // 上传附件参数
      upLoadData: {
        bizId: '', // 业务主键Id
        fileType: 'attachment '// 文件类型
      },
      // 获取公告内容pdf
      bulletinContentData: {
        bizId: '', // 业务主键Id
        fileType: 'bulletin_template_pdf_base'// 文件类型
      }
    }
  },
  created() {
    this.handelFlow()
  },
  methods: {
    handelFlow() {
      let bulletinId = '' // 公告id
      // flowStatus为true 工作流进入驳回编辑 否则是驱动进入
      if (this.flowStatus) {
        bulletinId = this.$route.query.bizId // 工作流进入bizId
      } else {
        bulletinId = this.$route.query.bulletinId // 驱动进入取bulletinId
      }
      this.upLoadData.bizId = bulletinId
      this.bulletinContentData.bizId = bulletinId
    }
  }
}

export { tenderBulletinMixin }
